/*	EXAMPLE PROGRAM FOR MPC5748G
 *	Copyright (c) 2016 by COSMIC Software
 */
void ToggleLED(int);
void start_cpu(void (*)(void), void(*)(void));
void _stext1(void);
void _stext2(void);

volatile int delayLED0, delayLED1, delayLED2;
int cpu1, cpu2;

/*	cpu 0 LED toggling
 */
void led_0(void)
	{
	if (!delayLED0)
		{
		delayLED0 = 456;
		ToggleLED(1);
		}
	}
	
/*	cpu 1 LED toggling
 */
void led_1(void)
	{
	if (!delayLED1)
		{
		delayLED1 = 245;
		ToggleLED(2);
		}
	}

/*	cpu 2 LED toggling
 */
void led_2(void)
	{
	if (!delayLED2)
		{
		delayLED2 = 153;
		ToggleLED(4);
		}
	}

/*	cpu 2 main function
 */
void main_2(void)
	{
	cpu2 = 2;
	for (;;)
		led_2();
	}

/*	cpu 1 main function
 */
void main_1(void)
	{
	cpu1 = 1;
	for (;;)
		led_1();
	}

/*	cpu 0 main function
 */
void main(void)         		    
	{
	init();
	start_cpu(_stext1, _stext2); 
	for (;;)
		led_0();
	}